# AODataKeyRemap

Remaps a key and all references to a key to a new numbering scheme where each processor indicates its new nodes by listing them in the previous numbering scheme.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyRemap(AOData aodata,const char key[],AO ao)

Collective on AOData and AO

### Input Parameters

| aodata | - the database
| key | - the key to remap
| ao | - the old to new ordering

### Keywords

database remapping

### See Also

AODataKeyGetAdjacency()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages